-- fusentest.fs_order definition

CREATE TABLE `fs_order` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `sn` char(16) NOT NULL COMMENT '订单编号 FS211224OL2XDKNP',
    `user_id` int(11) DEFAULT NULL COMMENT '用户ID',
    `seller_user_id` int(11) DEFAULT NULL COMMENT '销售员ID 0:自主下单',
    `total_amount` int(11) NOT NULL COMMENT '总价',
    `payed_amount` int(11) NOT NULL COMMENT '已支付金额',
    `pay_method` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付方式 1paypal 2strip',
    `ctime` int(11) DEFAULT NULL COMMENT '添加时间',
    `utime` int(11) DEFAULT NULL COMMENT '更新时间',
    `ptime` int(11) DEFAULT NULL COMMENT '最后一次 支付时间(可能多次支付)',
    `address_id` int(11) NOT NULL COMMENT '地址ID或者云仓ID',
    `delivery_method` int(11) NOT NULL COMMENT '配送方式 1:直接发货到收获地址 2：云仓',
    `customer_mark` varchar(255) DEFAULT NULL COMMENT '客户备注',
    `mark` text COMMENT '后台订单备注',
    `address_info` text COMMENT '详细地址信息JSON',
    `is_sup` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0不是补货 1是补货',
    `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态位（0：未支付，1：部分支付，2：支付完成，3：部分生产，4：部分生产完成，5：全部生产，6：全部生产完成，7：部分发货，8：发货完成，9：完成订单，10：取消订单，11:退款中，12：退款完成，13:订单已删除，14:订单已关闭）',
    `is_part_pay` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否部分支付（0：否，1：是）',
    `is_pay_completed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否支付完成（0：否，1：是）',
    `is_part_product` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否部分生产（0：否，1：是）',
    `is_part_product_completed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否部分生产完成（0：否，1：是）',
    `is_all_product` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否全部生产（0：否，1：是）',
    `is_all_product_completed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否全部生产完成（0：否，1：是）',
    `is_part_delivery` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否部分发货（0：否，1：是）',
    `is_delivery_completed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否发货完成（0：否，1：是）',
    `is_complated` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否完成订单（0：否，1：是）',
    `is_cancel` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否取消订单（0：否，1：是）',
    `is_refunding` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否退款中（0：否，1：是）',
    `is_refunded` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否退款完成（0：否，1：是）',
    `is_deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否删除（0：否，1：是）',
    `refund_reason_id` tinyint(4) DEFAULT NULL COMMENT '取消订单原因ID',
    `refund_reason` varchar(255) DEFAULT NULL COMMENT '取消订单原因',
    `ts_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `is_sure` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否确认订单 1确认0未确认',
    `deliver_sn` varchar(50) NOT NULL DEFAULT '' COMMENT '发货单号',
    `email_time` int(11) NOT NULL DEFAULT '0' COMMENT '邮件发送时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `sn` (`sn`) USING BTREE,
    KEY `user_id` (`user_id`) USING BTREE,
    KEY `address_id` (`address_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=691 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;