package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsMapLibraryModel = (*customFsMapLibraryModel)(nil)

type (
	// FsMapLibraryModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsMapLibraryModel.
	FsMapLibraryModel interface {
		fsMapLibraryModel
	}

	customFsMapLibraryModel struct {
		*defaultFsMapLibraryModel
	}
)

// NewFsMapLibraryModel returns a model for the database table.
func NewFsMapLibraryModel(conn sqlx.SqlConn) FsMapLibraryModel {
	return &customFsMapLibraryModel{
		defaultFsMapLibraryModel: newFsMapLibraryModel(conn),
	}
}
