package gmodel

import (
	"context"
	"errors"
	"gorm.io/gorm"
)

func (o *FsOrderModel) FindOneBySn(ctx context.Context, userId int64, sn string) (resp FsOrder, err error) {
	err = o.db.WithContext(ctx).Model(&FsOrder{}).Where(" `user_id` = ? and  `sn` = ? ", userId, sn).First(&resp).Error
	if err != nil && !errors.Is(err, gorm.ErrRecordNotFound) {
		return FsOrder{}, err
	}
	return resp, nil
}
func (o *FsOrderModel) Update(ctx context.Context, id int64, data FsOrder) error {
	return o.db.WithContext(ctx).Model(&FsOrder{}).Where("`id` = ?", id).Updates(data).Error
}
